<?php

namespace Modules\User\Interfaces;

use Illuminate\Http\Request;
use Modules\User\Models\Address;
use Modules\User\Models\User;

interface AddressRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function create(array $request): Address;
    public function update(array $request, Address $address): Address;
    public function destroy(Address $address): void;
    public function destroyAll(array $ids): void;
    public function restore(Address $address): void;
    public function restoreAll(array $ids): void;
}
